.filtro-pagina {
  position: relative;
  padding: 2rem;

  
}

@media (max-width: 500px){
  .filtro-pagina {
  position: relative;
  padding: 0;

  
}
}

.grid-productos {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.fila-productos {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(600px, 1fr));
  gap: 1rem;
}

.producto {
  padding: 1rem;
  height: 250px;
  border-radius: 12px;
  box-shadow: 0 0 5px rgba(0,0,0,0.1);
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Video entre productos */
.video-contenedor {
  width: 100%;
  height: 400px;
  overflow: hidden;
  border-radius: 12px;
}

.video-contenedor video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Botón flotante de filtro */
.boton-filtro-niña {
  position: sticky;
  top: 52%;
  left: 90%;
  transform: translateY(-50%);
  background: #e336f3c0;
  border: 2px solid #ffffff;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  z-index: 900;
  cursor: pointer;
  box-shadow: 0 2px 10px rgba(0,0,0,0.2);
}


.boton-filtro-niño {
  position: sticky;
  top: 50%;
  left: 90%;
  transform: translateY(-50%);
  background: #07eeffc0;
  border: 2px solid #ffffff;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  z-index: 100;
  cursor: pointer;
  box-shadow: 0 2px 10px rgba(0,0,0,0.2);
}

/* Panel lateral de filtro */
.filtro-panel {
  position: fixed;
  top: 0;
  right: -320px;
  width: 320px;
  height: 100vh;
  background: #fff;
  padding: 2rem;
  box-shadow: -5px 0 15px rgba(0,0,0,0.1);
  transition: right 0.3s ease-in-out;
  z-index: 9999;
}

.cerrar-panel{
    background: none;
    border: none;
    font-size: 28px;
    cursor: pointer;
    position: absolute;
    top: 15px;
    right: 15px; /* Posiciona la 'x' en la esquina superior derecha */
}

.filtro-panel.abierto {
  right: 0;

}


.contenedor-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;

}

@media (max-width: 1100px){
    .contenedor-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;

    }

}


@media (max-width: 750px){
    .contenedor-grid {
    display: block;
    gap: 1rem;

    }

}

.producto, .video {
  background: #ffffff00;
  height: 600px;
  border-radius: 12px;
  box-shadow: 0 0 10px rgba(0,0,0,0.15);
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: sans-serif;
}


.video-wrapper {
  grid-column: span 2; /* Ocupa 2 columnas del grid */
  width: 100%;
  overflow: hidden;
  border-radius: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 600px;
}

@media (max-width: 1100px) {
  
.video-wrapper {
  grid-column: span 2; /* Ocupa 2 columnas del grid */
  display: none;
}
}

.btn-cargar-mas {
  margin: 2rem auto;
  padding: 12px 24px;
  display: block;
  font-weight: bold;
  background: linear-gradient(to right, #ff6600, #ffcc00);
  color: white;
  border: none;
  border-radius: 12px;
  cursor: pointer;
  transition: transform 0.2s;
}

.btn-cargar-mas:hover {
  transform: scale(1.05);
}

.video-wrapper video {
  width: 100%;
  border-radius: 15px;
  object-fit: cover;
  height: 600px;
}

.paginacion {
  display: flex;
  justify-content: center;
  margin-top: 3rem;
}

.paginacion .button-pag {
  background: linear-gradient(90deg, #ff416c, #ff4b2b);
  border: none;
  color: white;
  padding: 0.9rem 2rem;
  font-size: 1rem;
  font-weight: bold;
  border-radius: 30px;
  cursor: pointer;
  box-shadow: 0 8px 20px rgba(255, 65, 108, 0.3);
  transition: transform 0.2s ease, box-shadow 0.3s ease;
}

.paginacion .button-pag:hover {
  transform: scale(1.05);
  box-shadow: 0 10px 25px rgba(255, 65, 108, 0.4);
}


#loading-spinner {
    display: none;  /* Está oculto por defecto */
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.spinner {
    border: 4px solid rgba(255, 255, 255, 0.3);
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.filtro-panel {
  background: #fff;
  padding: 20px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);
  display: flex;
  flex-direction: column;
  gap: 20px;
  font-family: 'Poppins', sans-serif;
  color: #333;
}

.filtro-titulo {
  font-size: 26px;
  margin-bottom: 20px;
  text-align: center;
  color: #ff00cc;
}

.color-circle-filtro.seleccionado-filtro{
  border: 2px solid #ff7ef9a2;
  transform: scale(1.4);
}

.talla-circle.seleccionado-filtro {
  border: 2px solid #353535;
  background-color: #fb82ff;
  transform: scale(1.4);
}

.filtro-titulo-niño {
  font-size: 26px;
  margin-bottom: 20px;
  text-align: center;
  color: #00a4b9;
}

.filtro-bloque label {
  font-weight: 600;
  display: block;
  margin-bottom: 6px;
}

.color-circles-filtros,
.talla-circles {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

.color-circles-filtros {
  display: flex;
  gap: 12px;
  flex-wrap: wrap;
  padding-top: 8px;
}
.color-circle-filtro{
  width: 30px;
  height: 30px;
  border-radius: 50%;
  border: 1px solid #27272781;
  cursor: pointer;
  transition: transform 0.2s ease;
}

.color-circle-filtro:hover {
  transform: scale(1.2);
  border-color: #b8b8b8;
}

.talla-circle {
  padding: 6px 12px;
  border-radius: 50px;
  background-color: #f0f0f0;
  border: 1px solid #aaa;
  cursor: pointer;
  font-weight: 600;
  transition: all 0.2s;
}
.talla-circle-niño {
  padding: 6px 12px;
  border-radius: 50px;
  background-color: #f0f0f0;
  border: 1px solid #aaa;
  cursor: pointer;
  font-weight: 600;
  transition: all 0.2s;
}

.talla-circle-niño:hover {
  background-color: #1bd4d4;
  color: white;
}

.talla-circle:hover {
  background-color: #fb82ff;
  color: white;
}

.efectos-opciones {
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.efecto-item {
  background-color: #f6f6f6;
  padding: 6px 10px;
  border-radius: 8px;
  border: 1px solid #ccc;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.2s;
}

.efecto-item:hover {
  background-color: #dff9ff;
}

.boton-filtrar {
  background: linear-gradient(to right, #ff7b00, #ffd700);
  border: none;
  padding: 12px;
  border-radius: 30px;
  font-weight: bold;
  color: white;
  cursor: pointer;
  bottom: 5px;
  transition: background 0.3s;
}

.boton-filtrar:hover {
  background: linear-gradient(to right, #ffaa00, #ffee00);
}

/* Responsive para moviles */
@media (max-width: 768px) {
  .filtrar-panel {
    width: 100%;
    padding: 15px;
    border-radius: 0;
  }
}





.filtro-seccion {
  border-bottom: 1px solid #eee;
  margin-bottom: 12px;
}

.filtro-header {
  font-weight: 600;
  font-size: 16px;
  padding: 10px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}

.filtro-header:hover {
  color: #ff00cc;
}

.filtro-header-niño {
  font-weight: 600;
  font-size: 16px;
  padding: 10px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}
.filtro-header-niño:hover {
  color: #1bd4d4;
}

.flecha {
  transition: transform 0.3s ease;
}

.filtro-contenido {
  max-height: 400px;
    padding: 10px 0;
  overflow: hidden;
  transition: max-height 0.4s ease;
}

.filtro-seccion.cerrado .filtro-contenido {
  max-height: 0;
  overflow: hidden;
  padding: 0;
}

.filtro-seccion.cerrado .flecha {
  transform: rotate(-90deg); /* Flecha a la derecha cuando cerrado */
}


.efecto-boton:hover {
  border-color: #ff00cc;
  background: #fdf1f9;
  color: #ff00cc;
}

.efecto-boton-niño:hover {
  border-color: #1bd4d4;
  background: #fdf1f9;
  color: #1bd4d4;
}

.select-estilo {
  width: 100%;
  padding: 10px;
  border-radius: 8px;
  border: 2px solid #ccc;
  font-size: 15px;
  background: linear-gradient(to right, #fff, #f5f5f5);
  transition: border 0.2s;
}

.select-estilo:focus {
  border-color: #ff00cc;
  outline: none;
}

.select-estilo-niño {
  width: 100%;
  padding: 10px;
  border-radius: 8px;
  border: 2px solid #ccc;
  font-size: 15px;
  background: linear-gradient(to right, #fff, #f5f5f5);
  transition: border 0.2s;
}
.select-estilo-niño:focus {
  border-color: #1bd4d4;
  outline: none;
}

.rango-precio {
  margin-top: 12px;
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.rango-precio input[type="range"] {
  width: 100%;
}

.precio-valor {
  font-weight: bold;
  color: #ff00cc;
  text-align: center;
}



@media (max-width: 750px) {
  .home {
    left: 0;
    width: 100%;
    max-width: 100%;
  }
}